local M = {
	url = 'ssh://git.vpatuta.xyz/neogruber.nvim',
	lazy = false,
}

function M.config()
	require('neogruber').setup {
		borders = true, -- Split window borders
		fade_nc = true, -- Fade non-current windows, making them more distinguishable
		-- Style that is applied to various groups: see `highlight-args` for options
		styles = {
			comments = 'italic',
			strings = 'NONE',
			keywords = 'NONE',
			functions = 'NONE',
			variables = 'NONE',
			diagnostics = 'underline',
			storage_class = 'italic',
			structure = 'NONE',
			loop_cond = 'bold',
			builtin = 'NONE',
		},
		disable = {
			background = true, -- Disable setting the background color
			cursorline = false, -- Disable the cursorline
			eob_lines = true, -- Hide the end-of-buffer lines
		},
		-- Inverse highlight for different groups
		inverse = {
			match_paren = true,
		},
		custom_highlights = {}, -- Overwrite default highlight groups
		custom_colors = {}, -- Overwrite default colors
	}
end

return M
